Njuolgga sisdollui

Cohere Transcribe

Integrere

Modealla-id cohere-transcribe
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/cohere-transcribe?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Fiillat nugo ovdamearka: 0,001 $ 1 API-kredita · ≈ 0,11 ₽ du fiillat mihtiduvvojit ovdal vuodjámis Vuodje dán siiddu alde

Oza API-čoavdaga
Cohere Hállamis teaksta #speech#transcribe#stt

Hupmanteavstta modell 14 válljehahtti gielain ja eaktodáhtolaš čállenmerkejumiin

Cohere · Teaksta

Dát lea du vuosttaš bohtos

Daga jearaldaga vuolábealde ja vuodje dan iežat API-čoavddain. Boađusat kopierejuvvojit min vurkemii, bisuhuvvojit álo dahje 7 beaivvi nuvttá.

Ráhkat jearaldaga

Kontrollat ráhkaduvvojit modealla skeama vuođul. Koda ja haddi ođasmahttojuvvojit go rievddadat daid.

•gáibiduvvo audio_url
Luoitte fiilla, dahje

Jietna-fiila URL transkripšuvnnii. Dorjojuvvon formáhtat leat flac, ogg, webm, wav, m4a, mpga, mpeg, mp4 ja mp3.

Viiddiduvvon language · max_new_tokens · punctuation
standárda en

Gávnnat jietna giela ovtta dáin ISO 639-1-kodain: en, fr, de, it, es, pt, el, nl, pl, zh, ja, ko, vi, ar.

standárda 256

Token-ráddjejuvvon lohku juohke jietna-bihtá várás.

POST /run/cohere-transcribe?wait=20 haddemearrádus → 0,001 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/cohere-transcribe?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Geavat dán ohcamuša

Du key báhcá dán fierpmádatlogan: dat sáddejuvvo dušše Doitong API:ii ja vurkejuvvo (localStorage) dušše jos válljet Remember. Viečča API-keya

Dát lea Cohere Transcribe birra

Transkribere audiofiilla `audio_url` bokte (mp3, mp4, mpeg, mpga, m4a, wav, webm, ogg dahje flac) teavsttan. `language` dohkkeha en, fr, de, it, es, pt, el, nl, pl, zh, ja, ko, vi dahje ar, standard en. `punctuation` sáhttá bidjat eret, ja `max_new_tokens` (1 rájes 1014 rádjái) ráddje boađusa juohke audiobihtá várás.

Parametterat

Sádde kanonala nama dahje iežas nama, ii goappašiid. Kanonala namat

NammaŠládja StandárdaDohkkehuvvon Govvádus
audio_urlgáibiduvvo audio
Šládjaurl · audio
Jietna-fiila URL transkripšuvnnii. Dorjojuvvon formáhtat leat flac, ogg, webm, wav, m4a, mpga, mpeg, mp4 ja mp3.
languageeaktodáhtolaš
Šládjaenum
Standárdaen
enfrdeitesptelnlplzhjakoviar
Gávnnat jietna giela ovtta dáin ISO 639-1-kodain: en, fr, de, it, es, pt, el, nl, pl, zh, ja, ko, vi, ar.
punctuationeaktodáhtolaš
Šládjaboolean
Standárdatrue
Stivre leago boađus-teaksta sisttisdoallá stuora bustávaid ja puntuášuvnna.
max_new_tokenseaktodáhtolaš
Šládjainteger
Standárda256
1 – 1 014
Token-ráddjejuvvon lohku juohke jietna-bihtá várás.
gáibiduvvo Kanonala namma, maid sáhttá geavahit

Fiilaparametterat váldet almmolaš https:// URL:a, data: URI:a gitta 10 MB, dahje uploada file_url:a. Fiillat

Boađus

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "cohere-transcribe",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1,
    "usd": "0.001",
    "charged": 1,
    "refunded": 0
  },
  "input": {
    "audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  },
  "output": {
    "text": "string",
    "timings": {}
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Du fiillat, du válljenJuohke outputs[].url lea kopia min vurkemis: bisuhuvvo álo (mákso GB-mánu mielde) dahje 7 beaivvi nuvttá, du konto­o heiveheami dahje ?storage= mielde.
Seammá hápmi juohke modeallastype, url, content_type, width, height ja duration, govvii, videoii ja jienai seammá ládje. output lea modealla iežas boađusobjekta.
Outputa giettit
text
stringTeaksta, mii lea oažžun jietna-fiila transkriberen.
timings
objectBarggu áigemearri, mihtiduvvon sekunddain.

AI-agenttaide: dán siidu Markdowna lea dáppe https://doitong.com/se/developers/models/cohere-transcribe.md. Buot modeallat ja ráđit: https://doitong.com/developers/llms.txt